// COPYRIGHT (C) 1990-1999.  All Rights Reserved. - REPORT.HPP
// Zinc Software Incorporated.  Pleasant Grove, Utah  USA
// May be freely copied, used and distributed.

#include <z_print.hpp>
#include <z_win.hpp>

const ZafUserEvent PRINT_REPORT = U_USER_FIRST;

class ReportWindow : public ZafWindow
{
public:
	ReportWindow(void);
	virtual ZafEventType Event(const ZafEventStruct &event);

	int DrawPage(int page, int nextChild);

protected:
	int currentPage;
	ZafPrinter printer;
	ZafVtList *vList;
};
